#! /usr/bin/env bash
#
# Copyright 2022 Xilinx, Inc
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
set -e
source /tools/Xilinx/Vitis/2021.2/settings64.sh
mkdir -p $2
bootgen -arch versal -read $1 >${2}/headers.txt
bootgen -arch versal -dump $1 -dump_dir $(realpath ${2})
pushd $2
    for i in *.bin; do
        echo $i
        cdoutil -annotate -output-source $i > ${i}.txt || true
    done
popd
exit 0
